%undefine __libtoolize
%define objprelink 0

Name: kssh
Version: 0.7
Release: alt6


Group: Networking/Other
Summary: SSH frontend for KDE with many configurable options.
URL: http://sourceforge.net/projects/kssh
License: GPL
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Source0: %name-%version.tar.bz2

Requires: openssh-clients

# Automatically added by buildreq on Sun Jun 13 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static
BuildRequires: kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel-static qt3-designer xml-utils zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
It can work as a standard KDE application that launches ssh connections in a terminal or as a konsole session.
This means that you can press in any konsole "New Session" and then select "Secure Shell".

%prep
%setup -q

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--disable-rpath \
	--disable-debug \
	--enable-final \
	--enable-shared \
	--disable-static \
	--with-xinerama

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

# create menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Networking/Remote access" \
    %buildroot/%_datadir/applnk/Internet/%name.desktop \
    %buildroot/%_menudir/%name

cp %buildroot/%_iconsdir/hicolor/16x16/apps/kssh.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/konsole
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
#
%_datadir/applnk/Internet/%name.desktop
%_menudir/%name 
#
%doc %_datadir/doc/HTML/en/%name
%doc README AUTHORS ChangeLog TODO

%changelog
* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt6
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt5
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt4
- rebuilding without *.la

* Wed Oct 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt3
- new buildrequires and rebuilding in hasher

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7-alt2
- build with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7-alt1
- 0.7

- specfile cleanup

